const diceButton = require('../js/buttons.vue')
const Vue = require('vue')

new Vue({
    el: '#example',

    components: {
        diceButton
    },

    computed: {
        styleClasses() {
            return {
                'button is-primary': Math.random() < 0.5,
                'button is-info': Math.random() >= 0.5
            }
        }
    },

    methods: {
        trigger() {
            alert('Clicked!')
        }
    }
})